package com.example.switchyard.switchyard_inject_test;

import javax.inject.Inject;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;

public class CamelTestServiceRoute extends RouteBuilder {

	@Inject
	private InternalService service;
	
	public void configure() {
		from("switchyard://CamelTestService")
			.log("CAMEL!!!")
			.process(new Processor() {
				@Override
				public void process(Exchange exchange) throws Exception {
					service.foo();
				}
			});
	}
}
